defaults:
  paymentpaypal:
    name:                             'Payment Paypal'
    description:                      ''
    weight:                           -999
    params:
      paypal_payment_provider:
        type:                         string
        value:                        'Paypal'
        name:                         'Payment Provider'
        description:                  'Internal name of the payment provider.'
        editable:                     false
        system:                       false
        nullable:                     false
      enable_paypal_payment_provider:
        type:                         boolean
        value:                        false
        name:                         'Payment Provider Activation'
        description:                  'Activate this payment provider.'
        editable:                     true
        system:                       false
        nullable:                     false
      paypal_displayed_name:
        type:                         string
        value:                        ''
        name:                         'Displayed Name'
        description:                  'Name displayed on the portal.'
        editable:                     true
        system:                       false
        nullable:                     true
      paypal_provider_logo:
        type:                         file
        destination:                  %SF_ROOT_DIR%/userdata/
        mime-types:                   web_images
        value:                        ''
        name:                         'Provider Logo'
        description:                  'Logo will be displayed on the portal.'
        editable:                     true
        system:                       false
        nullable:                     true
      paypal_seller_account:
        type:                         string
        value:                        ''
        name:                         'Seller Account'
        description:                  'Your seller account that receives the users payments.'
        editable:                     true
        system:                       false
        nullable:                     true
      paypal_currency_code:
        type:                         string
        value:                        'EUR'
        name:                         'Currency Code'
        description:                  'ISO 4217 currency code for Paypal transactions. (EUR Euro, USD US-Dollar, GBP United Kingdom Pound)'
        editable:                     true
        system:                       false
        nullable:                     true
      paypal_test_mode:
        type:                         boolean
        value:                        false
        name:                         'Test Mode'
        description:                  'Activate sandbox test mode.'
        editable:                     true
        system:                       false
        nullable:                     false